%define name lshw
%define version 2.16
%define realversion B.0%{version}
%define release %mkrel 2

Name: %{name}
Version: %{version}
Release: %{release}
Summary: A hardware lister
License: GPLv2
Url: http://ezix.org/project/wiki/HardwareLiSter
Source0: http://ezix.sourceforge.net/software/files/%{name}-%{realversion}.tar.gz
Group: System/Kernel and hardware
Requires: ldetect-lst >= 0.1.282
BuildRequires: sqlite3-devel

%description
lshw (Hardware Lister) is a tool to provide detailed information 
on the hardware configuration of the machine.

%package gui
Summary: HardWare LiSter (GUI version)
Group:  System/Kernel and hardware
Requires: %{name}
Requires: gtk2
BuildRequires: gtk2-devel
%description gui
This package provides a graphical user interface to lshw

%prep
%setup -q -n %{name}-%{realversion}
# Ugly since 2.07 default rights are messed
find -type f | xargs chmod 644
find -type d | xargs chmod 755

%build
make SQLITE=1
make gui SQLITE=1

%install
rm -rf %{buildroot}
%makeinstall DESTDIR=%{buildroot} SQLITE=1
make PREFIX=%_prefix SBINDIR=%_sbindir MANDIR=%_mandir DESTDIR=%{buildroot} install-gui SQLITE=1

# packaged as part of ldetect-lst
rm -f %{buildroot}%{_datadir}/lshw/{oui.txt,*.ids}

%find_lang %{name}

%files -f %{name}.lang
%{_sbindir}/lshw
%{_datadir}/lshw
%exclude %{_datadir}/lshw/artwork
%{_mandir}/man1/lshw.*

%files gui
%doc COPYING
%{_sbindir}/gtk-lshw
%{_datadir}/lshw/artwork






%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.16-2.mga3
+ Revision: 359023
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + mcb30 <mcb30>
    - include support for "-dump" using an SQLite database

* Mon Jan 23 2012 guillomovitch <guillomovitch> 2.16-1.mga2
+ Revision: 199957
- new version
- spec cleanup

* Wed Jan 19 2011 erwan <erwan> 2.15-1.mga1
+ Revision: 24610
- imported package lshw

